package awais.instagrabber.models;

import androidx.annotation.NonNull;

import java.io.Serializable;
import java.util.Date;

import awais.instagrabber.utils.Utils;

public abstract class BasePostModel implements Serializable {
    protected String postId;
    protected String displayUrl;
    protected String shortCode;
    protected CharSequence postCaption;
    protected boolean isVideo;
    protected long timestamp;
    private int position;

    public final boolean isVideo() {
        return isVideo;
    }

    public final String getPostId() {
        return postId;
    }

    public final String getDisplayUrl() {
        return displayUrl;
    }

    public final CharSequence getPostCaption() {
        return postCaption;
    }

    public final String getShortCode() {
        return shortCode;
    }

    public final long getTimestamp() {
        return timestamp;
    }

    public void setPosition(final int position) {
        this.position = position;
    }

    // public int getPosition() {
    //     return position;
    // }

    @NonNull
    public final String getPostDate() {
        return Utils.datetimeParser.format(new Date(timestamp * 1000L));
    }
}